Bug 1414887 - Suspending role in diagnostics Error caught: [ActiveRecord::RecordNotFound] Couldn't find MiqServer with 'id'=0
Summary: Suspending role in diagnostics Error caught: [ActiveRecord::RecordNotFound] C...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.7.1
Assignee: Harpreet Kataria
QA Contact: Matouš Mojžíš
URL:
Whiteboard: configuration:appliance
Depends On: 1404280
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 16:35 UTC by Satoe Imaishi
Modified: 2019-11-19 22:34 UTC (History)
7 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1404280
Environment:
Last Closed: 2017-02-27 19:29:20 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-19 16:40:58 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/3b704a60b9cd68bec99ffcfca0bb625c9363adee

commit 3b704a60b9cd68bec99ffcfca0bb625c9363adee
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Mon Dec 19 06:59:44 2016 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jan 19 11:35:04 2017 -0500

    Merge pull request #13234 from h-kataria/diagnostics_tree_record_find_error_fix
    
    Fixed code that sets selected_server record to be used by view.
    (cherry picked from commit 0287ec1aad916b6d5095779eecf0eb241f249be7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1414887

 app/controllers/ops_controller/diagnostics.rb      |  3 +-
 .../controllers/ops_controller/diagnostics_spec.rb | 34 ++++++++++++++++++++++
 2 files changed, 35 insertions(+), 2 deletions(-)

Comment 3 Matouš Mojžíš 2017-01-25 12:36:26 UTC
Verified in 5.7.1.0. No error appeared after suspending a role.

Comment 5 errata-xmlrpc 2017-02-27 19:29:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.